﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Xna.Framework.Content.Pipeline.Graphics;

namespace MikuMikuDance.XNA.Model
{
    /// <summary>
    /// モデルパーツ
    /// </summary>
    public class MMDModelPartContent
    {
        /// <summary>
        /// モデルのトライアングル数
        /// </summary>
        public int TriangleCount;
        /// <summary>
        /// モデルの頂点数
        /// </summary>
        public MMDVertexContent[] Vertices;
        /// <summary>
        /// インデックスコレクション
        /// </summary>
        public IndexCollection IndexCollection;
        /// <summary>
        /// マテリアル
        /// </summary>
        public BasicMaterialContent Material;
    }
}
