using System;
using System.Collections.Generic;
using System.Linq;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.Graphics;
using MikuMikuDance.XNA.Motion;

namespace MikuMikuDance.XNA.Model
{
    /// <summary>
    /// MMDModel̃[_NX
    /// </summary>
    public class MMDModelReader : ContentTypeReader<MMDModel>
    {
        /// <summary>
        /// f̓ǂݍ
        /// </summary>
        protected override MMDModel Read(ContentReader input, MMDModel existingInstance)
        {
            // MMDModelPart̓ǂݍ
            List<MMDModelPart> modelParts = input.ReadObject<List<MMDModelPart>>();

            //MMDBoneManager̓ǂݍ
            MMDBoneManager boneManager = input.ReadObject<MMDBoneManager>();

            //t[V̓ǂݍ
            Dictionary<string, MMDMotionData> attachedMotion = input.ReadObject<Dictionary<string, MMDMotionData>>();

            return new MMDModel(modelParts, boneManager, attachedMotion);
        }
    }
}
