﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading;

namespace MikuMikuDance.XNA.Threads
{
    /// <summary>
    /// スレッドマネージャー
    /// </summary>
    public static class MMDThreadManager
    {
        static Dictionary<int, int> ThreadIDs = new Dictionary<int, int>();
        /// <summary>
        /// 現在のMMDXスレッド番号を取得
        /// </summary>
        public static int ThreadID
        {
            get
            {
                int result;
                if (!ThreadIDs.TryGetValue(Thread.CurrentThread.ManagedThreadId, out result))
                    result = 0;//スレッド作ってないようなので、0を返しておく
                return result;
            }
        }
    }
}
