﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace MikuMikuDance.XNA.Model
{
    /// <summary>
    /// 表情用の頂点データ(内部用)
    /// </summary>
    struct MMDSkinVertDataContent
    {
        /// <summary>
        /// 対象頂点番号
        /// </summary>
        public UInt32 VertIndex;
        /// <summary>
        /// 表情用の頂点座標(base), 表情用の頂点オフセット(それ以外)
        /// </summary>
        public float[] Pos;
    }
    class MMDSkinDataContent
    {
        /// <summary>
        /// 表情名
        /// </summary>
        public string Name;
        /// <summary>
        /// 表情で使用する頂点リスト
        /// </summary>
        public MMDSkinVertDataContent[] SkinVerts;
    }
}
